-- 基础信息
base_info = {
	group_id = 111102094
}

-- Trigger变量
defs = {
	hintTime = 30,
	hintCount = 3,
	coinTime = 10,
	maxRegion = 94015,
	challengeId = 2010071
}

-- DEFS_MISCS
defs_miscs = {
	specialCoinTable = {
        -- 每项格式如下
        [94005] = {94006, 94007, 94008, 94009, 94010},
	[94004] = {94011, 94012, 94013, 94014},
    },
}

--================================================================
--
-- 配置
--
--================================================================

-- 怪物
monsters = {
}

-- NPC
npcs = {
}

-- 装置
gadgets = {
	[94001] = { config_id = 94001, gadget_id = 70220131, pos = { x = 1299.153, y = 306.915, z = -1810.673 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[94002] = { config_id = 94002, gadget_id = 70220131, pos = { x = 1276.810, y = 306.802, z = -1779.924 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[94003] = { config_id = 94003, gadget_id = 70220131, pos = { x = 1284.519, y = 308.382, z = -1805.787 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[94004] = { config_id = 94004, gadget_id = 70220132, pos = { x = 1296.979, y = 305.500, z = -1791.702 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[94005] = { config_id = 94005, gadget_id = 70220132, pos = { x = 1312.274, y = 306.532, z = -1806.929 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[94006] = { config_id = 94006, gadget_id = 70220131, pos = { x = 1309.214, y = 307.488, z = -1811.629 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[94007] = { config_id = 94007, gadget_id = 70220131, pos = { x = 1306.781, y = 306.200, z = -1806.321 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[94008] = { config_id = 94008, gadget_id = 70220131, pos = { x = 1310.646, y = 305.907, z = -1802.466 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[94009] = { config_id = 94009, gadget_id = 70220131, pos = { x = 1316.272, y = 307.887, z = -1805.130 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[94010] = { config_id = 94010, gadget_id = 70220131, pos = { x = 1314.052, y = 306.982, z = -1811.964 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[94011] = { config_id = 94011, gadget_id = 70220131, pos = { x = 1295.124, y = 304.560, z = -1786.145 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[94012] = { config_id = 94012, gadget_id = 70220131, pos = { x = 1301.350, y = 305.547, z = -1790.846 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[94013] = { config_id = 94013, gadget_id = 70220131, pos = { x = 1299.054, y = 306.170, z = -1795.870 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[94014] = { config_id = 94014, gadget_id = 70220131, pos = { x = 1292.389, y = 305.963, z = -1793.550 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 }
}

-- 区域
regions = {
	[94015] = { config_id = 94015, shape = RegionShape.SPHERE, radius = 50, pos = { x = 1291.265, y = 280.284, z = -1799.941 } }
}

-- 触发器
triggers = {
	{ config_id = 1094015, name = "ENTER_REGION_94015", event = EventType.EVENT_ENTER_REGION, source = "", condition = "", action = "" }
}

-- 变量
variables = {
}

--================================================================
--
-- 初始化配置
--
--================================================================

-- 初始化时创建
init_config = {
	suite = 1,
	end_suite = 0,
	rand_suite = false
}

--================================================================
--
-- 小组配置
--
--================================================================

suites = {
	{
		-- suite_id = 1,
		-- description = ,
		monsters = { },
		gadgets = { 94001, 94002, 94003, 94004, 94005, 94006, 94007, 94008, 94009, 94010, 94011, 94012, 94013, 94014 },
		regions = { 94015 },
		triggers = { "ENTER_REGION_94015" },
		rand_weight = 100
	}
}

--================================================================
--
-- 触发器
--
--================================================================

require "V3_3/CoinCollect"
